baseurl = "https://www.kicad.org"
languageCode = "en-us"
title = "KiCad EDA"
canonifyurls = true
layoutdir = "layouts"
pluralizelisttitles = false
disablePathToLower = true
ignoreFiles = [ "(^_|/_)(.+).adoc$" ]

[outputs]
    home     = ["HTML"]
    section  = ["HTML", "RSS"]

[security]
  [security.exec]
    allow = ['asciidoctor']

[taxonomies]
    category = "categories"
    blog_categories = "blog/categories"
    mwk_categories = "made-with-kicad/categories"

[params]
    HomeTitle = "KiCad EDA - Schematic Capture & PCB Design Software"
    DateForm = "2006-01-02"
    ISO8601Format = "2006-01-02T15:04:05Z"
    Description = "A Cross Platform and Open Source Electronics Design Automation Suite"
	HeaderDescription = "Open source EDA / electronics CAD software for Windows, macOS and Linux. Use schematic capture, create PCB designs and view them in 3D, all forever free."
    Author = "The KiCad editors"
    Forum = "https://forum.kicad.info/"
    release = "7.0.5"

[permalinks]
    blog = "blog/:year/:month/:slug"

[[params.social]]
    title = "twitter"
    url = "https://twitter.com/kicad_pcb"
    label = "KiCad Twitter Account"

[[params.social]]
    title = "gitlab"
    url = "https://gitlab.com/KiCad"
    label = "KiCad GitLab Organization"

[[params.social]]
    title = "mastodon"
    url = "https://fosstodon.org/@kicad"
    label = "KiCad Mastodon Account"

[[params.social]]
    title = "facebook"
    url = "https://www.facebook.com/kicadeda"
    label = "KiCad Facebook Account"

[[params.social]]
    title = "instagram"
    url = "https://www.instagram.com/kicad.eda"
    label = "KiCad Instagram Account"

[[menu.main]]
    name   = "Blog"
    url    = "/blog/"
    weight = 1

[[menu.main]]
    name = "Discover"
    weight = 5

[[menu.main]]
    parent = "Discover"
    name = "Package Repository"
    url = "/pcm/"
    weight = 6

[[menu.main]]
    parent = "Discover"
    name   = "Made With KiCad"
    url    = "/made-with-kicad/"
    weight = 50

[[menu.main]]
    parent = "Discover"
    name   = "External Tools"
    url    = "/external-tools/"
    weight = 60

[[menu.main]]
    name   = "Community"
    weight = 10

[[menu.main]]
    parent = "Community"
    name   = "User Mailing List"
    url    = "https://groups.io/g/kicad-users"
    weight = 15

[[menu.main]]
    name   = "Help"
    weight = 100

[[menu.main]]
    parent = "Help"
    name   = "Documentation"
    url    = "https://docs.kicad.org"
    weight = 10

[[menu.main]]
    name   = "Contribute"
    weight = 500

[[menu.main]]
    name   = "Sponsors"
    weight = 510

[[menu.main]]
    parent = "Contribute"
    name   = "Developers"
    url    = "https://dev-docs.kicad.org/en/contribute/"
    weight = 20

[[menu.main]]
    name = "Libraries"
    weight = 550

[[menu.main]]
    name   = "Download"
    url = "/download/"
    weight = 600

[[menu.main]]
    name   = "About"
    weight = 900

[[menu.main]]
    parent = "Libraries"
    name = "Library Conventions"
    url = "https://klc.kicad.org"
    weight = 40

[[menu.main]]
    parent = "Help"
    name   = "Getting Started"
    url = "https://docs.kicad.org/7.0/en/getting_started_in_kicad/getting_started_in_kicad.html"
    weight = 1

[markup.asciidocExt]
    noHeaderOrFooter = true
    preserveTOC = false
    sectionNumbers = false
    [markup.asciidocExt.attributes]
        icons = ""
        iconsdir = "/img/icons/"

[related]
  includeNewer = false
  threshold = 80
  toLower = false

[[related.indices]]
  name = 'keywords'
  weight = 100

[[related.indices]]
  name = 'blog/categories'
  weight = 100

[[related.indices]]
  name = 'date'
  weight = 10